﻿© 2009 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 520: (1 yr) CAL VER IEEE /5800+5Ch
DATE:                  2009-12-02 10:58:41
AUTHOR:                Fluke
REVISION:              $Revision: 2.0 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       243
CONFIGURATION:         Fluke 5800A (C5)
=============================================================================
#
#  Text Source:
#    $RCSfile: tek_tds520_1yr_ver_ieee_5800_5ch.txt,v $
#    $Date: 2009/12/02 18:57:55 $
#
#  Procedure Author:
#        DAC, DFM, VY
#@
#@ Models covered:
#@       TDS 500
#@         TDS 520
#@
#@ Source:
#@       TDS 520 Digitizing Oscilloscope
#@       Service Manual, Part No. 070-8312-01
#@
#@ Source Author:
#@       Tektronix
#@
#@ Compatibility:
#@       MET/CAL 7.20 SP1 (7.20x) or Later.
#
#  Subprocedures:
#        Sub MET/CAL Version Check
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub Select Verification Method
#        Sub IEEE-488.2 Identification Query IEEE
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub TDS500/600/700 Setup IEEE
#        Sub TDS500/600/700 Channel Name
#        Sub TDS500/600/700 Self-Test IEEE
#        Sub TDS500/600/700 Sig Path Comp Cal IEEE
#        Sub TDS500/600/700 Select Channel IEEE
#        Sub TDS500/600/700 Check Trig Status IEEE
#        Sub TDS500/600/700 Adjust Trig Level IEEE
#        Sub TDS500/600/700 Main or Delayed Trigger IEEE
#        Sub TDS500 Specifications
#        Sub TDS520 (1 yr) DCV Meas Acc Aux 1 & 2 IEEE /5800
#        Sub TDS520 (1 yr) DCV Meas Acc Ch 1 & 2 IEEE /5800
#        Sub TDS500 (1 yr) Time Base IEEE /5800
#        Sub TDS500 (1 yr) Delta Time IEEE /5800
#        Sub TDS500 (1 yr) Trig Time Acc IEEE /5800
#        Sub TDS500 (1 yr) Trig Level Acc IEEE /5800
#        Sub TDS500 (1 yr) Probe Comp IEEE /5800
#        Sub TDS500 (1 yr) Bandwidth IEEE /5800
#        Sub TDS500 (1 yr) Sens IEEE /5800
#
# Required Files:
#        tdsprobe.jpg      Picture: Probe compensation Test
#        58_4ck_1.jpg      Picture: DC Volts Connection - Channel 1
#        58_4ck_2.jpg      Picture: DC Volts Connection - Channel 2
#        58_4ck_3.jpg      Picture: DC Volts Connection - Channel 3
#        58_4ck_4.jpg      Picture: DC Volts Connection - Channel 4
#        58_4ck99.jpg      Picture: DC Volts Connection - Channel 1,2,3 and 4
#
#@ Additional Equipment Required:
#@       Cable, coaxial, BNC(m) to test clips, 36" (Pomona 3787-C-36)
#@       Cable, coaxial, BNC(m)-(m), 36"
#@
# The procedure was tested using:
#
#        Model No  :
#        Serial No :
#        Options   :
#        Firmware  :
#
# Average run time during testing : 60 minutes
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  M5800                                                    C5
  1.003  5800         500MH                        1Vpp           LS S6 S  L
  1.004  ENDIF

  1.005  ASK-   R   Q N              P                            F        V
# ASK+ K is required for measurement uncertainty.
  1.006  ASK+           K

# Verify MET/CAL version compatibility.
  1.007  MATH         @ReqMetCalVersion = "7.20x"
  1.008  CALL         Sub MET/CAL Version Check

  1.009  IF           NOT(@MetCalVersionOK)
  1.010  DISP         This procedure requires MET/CAL 7.20 SP1 (7.20x)
  1.010  DISP         or later.
  1.011  END
  1.012  ENDIF

  1.013  CALL         Sub Display Copyright
  1.014  CALL         Sub High Voltage Safety Warning

  1.015  HEAD         PRELIMINARY INSTRUCTIONS
  1.016  CALL         Sub Select Failed Test Mode
  1.017  CALL         Sub Select Verification Method

  1.018  DISP         Ensure a minimum UUT warm-up time of at least
  1.018  DISP         20 minutes has been allowed to elapse, prior
  1.018  DISP         to beginning verification.

  1.019  HEAD         UUT IDENTIFICATION
  1.020  TARGET
  1.021  CALL         Sub TDS500/600/700 Setup IEEE
  1.022  IEEE2        *RST;DESE 61
  1.023  WAIT         -t 4 System Initializing ...
  1.024  CALL         Sub IEEE-488.2 Identification Query IEEE

  1.025  MATH         Model = "TDS 520"
# Make sure correct UUT is connected.
  1.026  MATH         L[1] = ZCMPI("TEKTRONIX", @Manufacturer)
  1.027  MATH         L[2] = ZCMPI(Model, @ModelNum)

  1.028  IF           NOT(L[1]) || NOT(L[2])
  1.029  DISP         UUT is a [V @Manufacturer] [V @ModelNum],
  1.029  DISP         not a Tektronix [V Model]!
  1.030  END
  1.031  ENDIF

  1.032  HEAD         EQUIPMENT REQUIREMENTS
  1.033  OPBR         -z Do you want to REVIEW the list of additional
  1.033  OPBR         equipment and/or accessories required?

  1.034  IF           MEM1
  1.035  DISP         The following additional equipment and/or accessories
  1.035  DISP         are required:
  1.035  DISP
  1.035  DISP         - Cable, coaxial, BNC(m) to test clips, 36"
  1.035  DISP         [32] (Pomona 3787-C-36 or equivalent)
  1.035  DISP         - Cable, coaxial, BNC(m)-(m), 36"
  1.036  ENDIF

  1.037  CALL         Sub TDS500 Specifications
  1.038  CALL         Sub TDS500/600/700 Self-Test IEEE
  1.039  JMPL         END                          @Abort
  1.040  CALL         Sub TDS500/600/700 Sig Path Comp Cal IEEE
  1.041  JMPL         END                          @Abort

# Set the variable of the calibrator channel number for hookup setup.
  1.042  MATH         @SourceChanNum = 5

# Specify channel to test.
  1.043  MATH         @Chan = 1
  1.044  M5800                                                    C1
  1.045  CALL         Sub TDS520 (1 yr) DCV Meas Acc Ch 1 & 2 IEEE /5800
  1.046  MATH         @Chan = 2
  1.047  M5800                                                    C2
  1.048  CALL         Sub TDS520 (1 yr) DCV Meas Acc Ch 1 & 2 IEEE /5800
  1.049  MATH         @Chan = 3
  1.050  M5800                                                    C3
  1.051  CALL         Sub TDS520 (1 yr) DCV Meas Acc Aux 1 & 2 IEEE /5800
  1.052  MATH         @Chan = 4
  1.053  M5800                                                    C4
  1.054  CALL         Sub TDS520 (1 yr) DCV Meas Acc Aux 1 & 2 IEEE /5800

  1.055  MATH         @Chan = 1
  1.056  M5800                                                    C1
  1.057  CALL         Sub TDS500 (1 yr) Bandwidth IEEE /5800
  1.058  MATH         @Chan = 2
  1.059  M5800                                                    C2
  1.060  CALL         Sub TDS500 (1 yr) Bandwidth IEEE /5800
  1.061  MATH         @Chan = 3
  1.062  M5800                                                    C3
  1.063  CALL         Sub TDS500 (1 yr) Bandwidth IEEE /5800
  1.064  MATH         @Chan = 4
  1.065  M5800                                                    C4
  1.066  CALL         Sub TDS500 (1 yr) Bandwidth IEEE /5800

  1.067  MATH         @Chan = 1
  1.068  M5800                                                    C1
  1.069  CALL         Sub TDS500 (1 yr) Time Base IEEE /5800
  1.070  CALL         Sub TDS500 (1 yr) Delta Time IEEE /5800
  1.071  CALL         Sub TDS500 (1 yr) Trig Time Acc IEEE /5800
  1.072  CALL         Sub TDS500 (1 yr) Trig Level Acc IEEE /5800

  1.073  MATH         @Chan = 1
  1.074  M5800                                                    C1
  1.075  CALL         Sub TDS500 (1 yr) Sens IEEE /5800
# If desired, you can test the channel 2, 3, 4 trig sensitivity or skip them.
  1.076  OPBR         -z Each channel trig sensitivity test will take about
  1.076  OPBR         [V @OptChSensTime] minutes. You can skip the remaining
  1.076  OPBR         channels to save time, unless desired.
  1.076  OPBR
  1.076  OPBR         [NO]Do you want to test trig sensitivity of channel 2,
  1.076  OPBR         3, and 4?
  1.077  MATH         @TestCh234Sens = MEM1

  1.078  IF           @TestCh234Sens
  1.079  MATH         Time = 3 * @OptChSensTime
  1.080  DISP         The next routine operator intervention occurs
  1.080  DISP         in approximately [V Time] minutes...
  1.081  MATH         @Chan = 2
  1.082  M5800                                                    C2
  1.083  CALL         Sub TDS500 (1 yr) Sens IEEE /5800
  1.084  MATH         @Chan = 3
  1.085  M5800                                                    C3
  1.086  CALL         Sub TDS500 (1 yr) Sens IEEE /5800
  1.087  MATH         @Chan = 4
  1.088  M5800                                                    C4
  1.089  CALL         Sub TDS500 (1 yr) Sens IEEE /5800
  1.090  ENDIF

  1.091  M5800                                                    C1
  1.092  CALL         Sub TDS500 (1 yr) Probe Comp IEEE /5800

  1.093  LABEL        END
  1.094  IEEE2        *RST;DESE 61

  1.095  IF           @Abort
  1.096  DISP         V E R I F I C A T I O N   A B O R T E D
  1.097  ELSE
  1.098  DISP         V E R I F I C A T I O N   C O M P L E T E
  1.099  ENDIF

  1.100  END

